=== debian/changelog ===
cups (1.6.1-2) experimental; urgency=low

  [ Till Kamppeter ]
  * In upstart, let the CUPS daemon start after avahi-daemon, to assure
    that the Bonjour broadcasting of shared printers works.
  * Import upstream patch to add support for specifying the IPP version
    of a remote CUPS server in /etc/cups/client.conf (LP: #1069671),
    refresh the other ones affected.

  [ Didier Raboud ]
  * Cherry-pick more upstream enhancements:
    - Add french translation (CUPS STR: #4247)
  * Refresh po4a translations
  * Merge the 1.5.3-2.14 Debian release.
  * Correct Replaces/Breaks versions of cups-daemon against cups to cope
    with recent Ubuntu releases (LP: #1099242).
  * Make sure /e/cups/raw.{convs,types} are deleted during purge.
    (Closes: #698213)
  * Take manpage translations out of the manpage-translations patch to
    ease external contributions to the .po files.
  * Add usb-backend quirk for Epson Stylus Photo 750 (Closes: #697970)

  [ Helge Kreutzmann ]
  * Update German manpages translation. (Closes: #698965)

  [ Julien Patriarca ]
  * Update French manpages translation. (Closes: #700295)

  [ Vincent McIntyre ]
  * Document the way to make sure LPD support, as provided by cups-bsd,
    is kept enabled across upgrades. (Closes: #671347)

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Feb 2013 21:35:20 +0100

cups (1.6.1-1) experimental; urgency=low

  * New upstream release
     - Avahi-based Bonjour/DNS-SD/mDNS support
     - ICC-based color management with colord
     - IPP-Everywhere support
     - Moved filters not needed by Mac OS to cups-filters project at
       OpenPrinting.
     - Moved API of libcupsdrivers (driver.h) and of part of libcupsimage
       (image.h) to cups-filters.
     - cups-polld removed
     - Fixes: LP: #904093, LP: #1027804, Closes: #690522

  [ Marc Deslauriers ]
  * debian/local/apport-hook.py: Also attach AppArmor information and logs.

  [ Jamie Strandboge ]
  * debian/local/apparmor-profile: deny capability block_suspend. It is noisy
    and doesn't seem to actually be needed. This can be revisited if it turns
    out it is needed. (LP: #1031583)

  [ Till Kamppeter ]
  * debian/patches/ipp-backend-cups-1.5.4-fixes.patch,
    debian/patches/install-sh-remove-bashism.patch,
    debian/patches/usb-backend-busy-loop-fix.patch,
    debian/patches/usb-backend-detach-usblp-earlier-crash-guards.patch,
    debian/patches/usb-backend-initialize-usblp-attached-state.patch,
    debian/patches/usb-backend-further-enhancements.patch,
    debian/patches/snmp-dont-stop-without-ipv6.patch,
    debian/patches/cups-avahi.patch,
    debian/patches/colord-support.patch: Removed, included upstream.
  * debian/patches/dnssd-reg-array-linear-search.patch: Removed, not applicable
    any more.
  * debian/patches/pidfile.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/drop_unnecessary_dependencies.patch,
    debian/patches/configure-default-browse-protocols.patch
    debian/patches/add-ipp-backend-of-cups-1.4.patch
    debian/patches/printer-filtering.patch,
    debian/patches/show-compile-command-lines.patch,
    debian/patches/pstops-based-workflow-only-for-printing-ps-on-a-ps
    -printer.patch,
    debian/patches/tests-ignore-usb-crash.patch: Manually regenerated to adapt
    to upstream changes.
  * debian/patches/debian/patches/ppd-poll-with-client-conf.patch,
    debian/patches/manpage-translations.patch,
    debian/patches/rootbackends-worldreadable.patch,
    debian/patches/reactivate_recommended_driver.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp
    -attrs.patch,
    debian/patches/do-not-broadcast-with-hostnames.patch,
    debian/patches/confdirperms.patch,
    debian/patches/log-debug-history-nearly-unlimited.patch,
    debian/patches/tests-ignore-warnings.patch,
    debian/patches/tests-ignore-usb-crash.patch,
    debian/patches/tests-slow-lpstat.patch,
    debian/patches/tests-fix-ppdLocalize-on-unclean-env.patch,
    debian/patches/pidfile.patch: Refreshed with quilt.
  * debian/patches/airprint-support.patch: Fixes in the conditionals to make
    AirPrint work with the new upstream Avahi support, support for iOS 6
    clients (LP: #1054495).
  * debian/patches/network-backends-snmp-queries-optional.patch: SNMP queries
    by network backends can get suppressed now by adding "?snmp=false" to the
    end of the URI. SNMP queries to Bonjour-shared CUPS queue will get
    suppressed by default.
  * debian/patches/usb-backend-reset-after-job-only-for-specific-devices.patch:
    Let the USB backend only send a clean-up reset after the job if it is
    really needed (LP: #1032456), force-uni-directional access for Canon
    Pixma iP4200 (CUPS STR #4155) and iP4300 (LP: #1032385).
  * debian/patches/usb-backend-more-quirk-rules.patch: Added more quirk rules
    which are not yet committed upstream: Canon MP500 (LP: #1032456), MP510
    (LP: #1050009), MP550 (CUPS STR #4155), MP560 (CUPS STR #4155), Brother
    HL-1430 (LP: #1038695), Oki Okipage 14ex (LP: #872483), Oki B410d
    (LP: #872483), all Zebra printers (LP: #1001028).
  * debian/patches/cupsd-conf-remove-obsolete-browse-directives.patch:
    Removed obsolete "BrowseOrder" and "BrowseAllow" lines from cupsd.conf.
  * debian/patches/get-ppd-file-for-statically-configured-bonjour-shared
    -queues.patch:
    Applications could not get the PPD file for statically-configured Bonjour-
    shared print queues (CUPS STR #4159)
  * debian/patches/get-ppd-file-for-statically-configured-ipp-shared
    -queues.patch:
    Applications could not get the PPD file for statically-configured IPP-
    shared print queues (CUPS STR #4178)
  * debian/patches/printers-c-recognize-remote-cups-queue-via-dnssd-uri.patch,
    Treat raw queues pointing to a CUPS server as remote queues (using PPD on
    server) also if they have a "dnssd://..." URI.

